---
lang: en
title: 'API docs: context.resolutionoptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.resolutionoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ResolutionOptions](./context.resolutionoptions.md)

## ResolutionOptions interface

Options for binding/dependency resolution

**Signature:**

```typescript
export interface ResolutionOptions 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [asProxyWithInterceptors?](./context.resolutionoptions.asproxywithinterceptors.md) |  | boolean | _(Optional)_ A boolean flag to control if a proxy should be created to apply interceptors for the resolved value. It's only honored for bindings backed by a class. |
|  [optional?](./context.resolutionoptions.optional.md) |  | boolean | _(Optional)_ A boolean flag to indicate if the dependency is optional. If it's set to <code>true</code> and the binding is not bound in a context, the resolution will return <code>undefined</code> instead of throwing an error. |
|  [session?](./context.resolutionoptions.session.md) |  | [ResolutionSession](./context.resolutionsession.md) | _(Optional)_ A session to track bindings and injections |


